Product id
Product Barcode id
Deletes specific Product Barcode by id
Product id
Product Barcode id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Product Barcode was deleted
Sample request:
POST /products/123/suppliers
[
{
"supplier_code": "00",
"supplier_buy_ex": 1.1,
"supplier_sku2": "SupplierSKU2",
"lead_time": 4,
"is_default": true,
"notes": "This is a Note."
}
]
Product ID
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
List of product suppliers to create
Product suppliers created successfully
Product ID
Supplier Code
Supplier Name
Supplier Status (true - Enabled, false - Disabled)
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU2
Lead Time in days
Indicates if the product supplier is a default supplier
Notes
Indicates if the product supplier is soft deleted
Gets all suppliers for a specific product
Product ID
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Product suppliers retrieved successfully
Product ID
Supplier Code
Supplier Name
Supplier Status (true - Enabled, false - Disabled)
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU2
Lead Time in days
Indicates if the product supplier is a default supplier
Notes
Indicates if the product supplier is soft deleted
Deletes all Product Supplier by product id
Product id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Product Supplier’s were deleted
Sample request:
PUT /products/123/suppliers
[
{
"supplier_code": "00",
"supplier_buy_ex": 1.1,
"supplier_sku2": "SupplierSKU2",
"lead_time": 4,
"is_default": true,
"notes": "This is a Note."
}
]
Product ID
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
List of product suppliers to update
Product suppliers updated successfully
Product ID
Supplier Code
Supplier Name
Supplier Status (true - Enabled, false - Disabled)
Supplier Buy Ex
>= -922337203685477.6<= 922337203685477.6
Supplier SKU2
Lead Time in days
Indicates if the product supplier is a default supplier
Notes
Indicates if the product supplier is soft deleted